Skip to main content
  • Place orders quickly and easily
  • View orders and track your shipping status
  • Enjoy members-only rewards and discounts
  • Create and access a list of your products
  • Manage your Dell EMC sites, products, and product-level contacts using Company Administration.

Article Number: 000219086


DSA-2023-401: Security Update for Dell SupportAssist for Home PCs and Dell SupportAssist for Business PCs user interface component.

Summary: Dell SupportAssist for Home and Business PCs, remediation for a user interface component is available to address a security vulnerability that could be exploited by malicious user to compromise the affected system. ...

Article Content


Impact

High

Details

Proprietary Code CVEs Description CVSS Base Score CVSS Vector String
CVE-2023-44283 In Dell SupportAssist for Home PCs (between v3.0 and v3.14.1) and SupportAssist for Business PCs (between v3.0 and v3.4.1), a security concern has been identified, impacting locally authenticated users on their respective PCs. This issue may potentially enable privilege escalation and the execution of arbitrary code, in the Windows system context, and confined to that specific local PC. 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:HThis hyperlink is taking you to a website outside of Dell Technologies.
Proprietary Code CVEs Description CVSS Base Score CVSS Vector String
CVE-2023-44283 In Dell SupportAssist for Home PCs (between v3.0 and v3.14.1) and SupportAssist for Business PCs (between v3.0 and v3.4.1), a security concern has been identified, impacting locally authenticated users on their respective PCs. This issue may potentially enable privilege escalation and the execution of arbitrary code, in the Windows system context, and confined to that specific local PC. 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:HThis hyperlink is taking you to a website outside of Dell Technologies.
Dell Technologies recommends all customers consider both the CVSS base score and any relevant temporal and environmental scores that may impact the potential severity associated with a particular security vulnerability.

Affected Products and Remediation

Product Affected Versions Remediated Versions Link
SupportAssist for Home PCs 3.14.1 and prior 3.14.2  SupportAssist for Home PCs
SupportAssist for Business PCs 3.4.1 and prior 3.5.0  SupportAssist for Business PCs
Product Affected Versions Remediated Versions Link
SupportAssist for Home PCs 3.14.1 and prior 3.14.2  SupportAssist for Home PCs
SupportAssist for Business PCs 3.4.1 and prior 3.5.0  SupportAssist for Business PCs
In specific versions of Dell SupportAssist for Home PCs (between v3.0 and v3.14.1) and SupportAssist for Business PCs (between 3.0 and v3.4.1), a local security vulnerability related to privilege escalation has been discovered, impacting locally authenticated users restricted to that specific PC.

Note: The Affected Products and Remediation table above may not be a comprehensive list of all affected supported versions and may be updated as more information becomes available.

Workarounds and Mitigations

CVE ID Workaround and Mitigation
CVE-2023-44283 Users need to keep the SupportAssist for Home PCs and SupportAssist for Business PCs updated to the latest version.

Revision History

RevisionDateDescription
1.02023-10-31Initial Release

Related Information

Dell Security Advisories and Notices
Dell Vulnerability Response Policy
CVSS Scoring Guide


Article Properties


Affected Product

SupportAssist, SupportAssist for Home PCs, SupportAssist for Business PCs

Last Published Date

31 Oct 2023

Version

1

Article Type

Dell Security Advisory